  

:host{
  --m-loader-thickness : var(--miam-loader-thickness,5px );
  --m-loader-size : var(--miam-loader-sizes,40px );
}
.loader {
  border: var(--m-loader-thickness) solid var(--m-color-grey);
  border-top:  var(--m-loader-thickness) solid var(--m-color-ternary);
  border-radius: var(--m-border-radius-circle);
  width: var(--m-loader-size);
  height: var(--m-loader-size);
  animation: 0.5s linear infinite spin;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}